<?php




namespace app\common\model\store\coupon;


use app\common\model\BaseModel;
use app\common\model\store\product\Product;

class StoreCouponProduct extends BaseModel
{

    /**
     * @return string
     * @author xaboy
     * @day 2020-03-30
     */
    public static function tablePk():? string
    {
        return null;
    }

    /**
     * @return string
     * @author xaboy
     * @day 2020-03-30
     */
    public static function tableName(): string
    {
        return 'store_coupon_product';
    }

    public function product()
    {
        return $this->hasOne(Product::class, 'product_id', 'product_id');
    }
}